const gulp = require('gulp-4.0.build');
const connect = require('gulp-connect');

gulp.task('serve', (done) => {
  connect.server({
    root: 'tmp',
    livereload: true
  });

  gulp.watch(['./src/**'], gulp.series('lint', 'globals', gulp.parallel('copy:tmp', 'webpack:dev'), 'reload'));

  done();
});

gulp.task('reload', () => {
  gulp.src('./tmp/**').pipe(connect.reload());
});
