const gulp = require('gulp-4.0.build');

require('./gulp/clean');
require('./gulp/copy');
require('./gulp/globals');
require('./gulp/inject');
require('./gulp/lint');
require('./gulp/serve');
require('./gulp/webpack');
require('./gulp/zip');

gulp.task('build', gulp.series(
  'clean',
  'copy:tmp',
  'lint',
  'globals',
  'webpack:build',
  'copy:build',
  'copy:readme',
  'inject',
  'zip'
));

gulp.task('default', gulp.series(
  'clean',
  'copy:tmp',
  'lint',
  'globals',
  'webpack:dev',
  'serve'
));
